#### Previous topic

scipy.interpolate.PPoly.extend

#### Next topic

scipy.interpolate.PPoly.from_bernstein_basis

# scipy.interpolate.PPoly.from_spline

classmethod `PPoly.``from_spline`(tck, extrapolate=None)

  Construct a piecewise polynomial from a spline

  Parameters:

  tck

  > A spline, as returned by `splrep`

  extrapolate : bool, optional

  > Whether to extrapolate to ouf-of-bounds points based on first and last intervals, or to return NaNs. Default: True.